# build.c File Reference

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "build.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | _anyarch(_f) (((_f)&(RPMBUILD_PREP|RPMBUILD_BUILD|RPMBUILD_INSTALL|RPMBUILD_PACKAGEBINARY)) == 0)
#define | buildCleanMask (RPMBUILD_RMSOURCE|RPMBUILD_RMSPEC)
## Functions
static int | checkSpec (Header h)
| Parse spec file and build package.
static int | isSpecFile (const char *specfile)
static int | buildForTarget (const char *arg, BTA_t ba, const char *passPhrase, char *cookie)
int | build (const char *arg, BTA_t ba, const char *passPhrase, char *cookie, const char *rcfile)

## Define Documentation

#define _anyarch | ( | _f |  | ) | (((_f)&(RPMBUILD_PREP|RPMBUILD_BUILD|RPMBUILD_INSTALL|RPMBUILD_PACKAGEBINARY)) == 0)

#define buildCleanMask (RPMBUILD_RMSOURCE|RPMBUILD_RMSPEC)

## Function Documentation

int build | ( | const char * | arg,
|  | BTA_t | ba,
|  | const char * | passPhrase,
|  | char * | cookie,
|  | const char * | rcfile |
| ) |  |  |

Definition at line 301 of file build.c.

static int buildForTarget | ( | const char * | arg,
|  | BTA_t | ba,
|  | const char * | passPhrase,
|  | char * | cookie |
| ) |  |  | `[static]`

Definition at line 108 of file build.c.

static int isSpecFile | ( | const char * | specfile | ) | `[static]`

Definition at line 69 of file build.c.